% Written by ngelo Cardoso <angelo.cardoso@ist.utl.pt>
% 18 July 2012
function [C] = calccenters(X,G)
%calculate the centers C from cluster membership G in data X

%remove empty clusters
centerG = unique(G(~isnan(G)));
C = nan(length(centerG),size(X,2));

%calculate centers
for j=1:length(centerG)
    C(j,:) = mean(X(G==centerG(j),:),1);
end

end

